package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModelDTO {
    private Long id;                // 模型id
    private String modelName;           // 模型名称
    private String version;         // 模型版本
    private Integer datasetId;      // 数据集id
    private String modelConfig;     // 模型配置信息
    private String modelPath;       // 模型存储路径
    private Integer status;         // 模型状态（1代表上线，0代表不上线）D
    private Integer modelSize;   // 模型大小
    private String dataPreHandleFile;      // 数据预处理文件存储路径
    private String modelSuperArgs;           // 模型超参数
    private String modelArgsSize;            // 模型参数量
    private String modelSourceCodeUrl;      // 模型源代码路径
    private String modelFile;              // 模型文件存储路径
    private String modelDesignDocument;    // 模型设计文档存储路径
    private String lifeCycle;     // 模型生命周期
    private String operateUser;          //  操作人
}
